/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@lcse.umn.edu>
** 
**    Module name: file.h
**
*******************************************************************************
******************************************************************************/

#ifndef __FILE_DOT_H__
#define __FILE_DOT_H__

#define GFS_MAX_TRANSFER (1048576)

int64 gfs_readi(gfs_inode_t *ip, char *buf, uint64 offset, uint64 size, int internal);
int64 gfs_writei(gfs_inode_t *ip, const char *buf, uint64 offset, uint64 size, int internal);

#if 0
struct file_operations gfs_file_fops;
struct file_operations gfs_dir_fops;
#endif

#endif  /*  __FILE_DOT_H__  */

