#ifndef __PARTITION_OPPS_H__
#define __PARTITION_OPPS_H__


#include <time.h>
#include "partition.h"
#include "print.h"
#include <sys/time.h>

/***************************************************
 ***************************************************
 **
 **for more information on the bahavior of these 
 **functions check partition_opps.c. 
 **
 ***************************************************
 ***************************************************/


/*function prototypes*/
void  mode_actions       (partition_locks *pal, mode_cdb  *cdb,
			  mode_page_rdf *rdf);
void  part_actions       (partition_locks *pal, dlock_cdb *cdb, 
		          dlock_rdf *rdf);
void  expired_actions    (partition_locks *pal, dlock_cdb *cdb,
			  rexpired_rdf *exp);
/*sudo private function prototypes*/
void no_operation        (partition_locks *pal, dlock_cdb *cdb, 
		          dlock_rdf *rdf);
void lock_shared         (partition_locks *pal, dlock_cdb *cdb, 
		          dlock_rdf *rdf);
void lock_exclusive      (partition_locks *pal, dlock_cdb *cdb, 
		          dlock_rdf *rdf);
void force_lock_exclusive(partition_locks *pal, dlock_cdb *cdb, 
			  dlock_rdf *rdf);
void touch_lock          (partition_locks *pal, dlock_cdb *cdb, 
		          dlock_rdf *rdf);
void unlock              (partition_locks *pal, dlock_cdb *cdb, 
		          dlock_rdf *rdf);
void unlock_increment    (partition_locks *pal, dlock_cdb *cdb, 
		          dlock_rdf *rdf);
void activity_on         (partition_locks *pal, dlock_cdb *cdb, 
		          dlock_rdf *rdf);
void activity_off        (partition_locks *pal, dlock_cdb *cdb, 
		          dlock_rdf *rdf);
void report_expired      (partition_locks *pal, dlock_cdb *cdb,
		          rexpired_rdf *exp);
void deal_expired        (partition_locks *pal, dlock_cdb *cdb,
		          dlock_rdf *rdf);
void all_actions         (partition_locks *pal, dlock_cdb *cdb, 
			  dlock_rdf *rdf);
void bad_lock_number     (partition_locks *pal, dlock_cdb *cdb, 
			  dlock_rdf *rdf);


#endif /* __PARTITION_OPPS_H__ */
