#ifndef TRANS_SCSI_DOT_H
#define TRANS_SCSI_DOT_H

#include "dlock_interface.h"


extern dlock_interface_t trans_scsi;

typedef struct scsi_ops_s {
  int (*open)(char *name, void **private);
  int (*close)(char *name, void *private);
  int (*read_cdb)(void *cdb, int len, void *private);
  int (*write_cdb)(void *cdb, int len, void *private);
} scsi_ops_t;

#include "scsi_linux.h"

#endif  /*  SCSI_DOT_H  */
