/******************************************************************************
*******************************************************************************
**
**    Copyright 1999 Sistina Software, Inc.  <kpreslan@sistina.com>
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name: gfs_locking.h
**
**    Description:
**	This file defines the interface to the internal GFS lock module
**      handling routines
**
*******************************************************************************
******************************************************************************/

#ifndef __GFS_LOCKINGI_DOT_H__
#define __GFS_LOCKINGI_DOT_H__

#include "gfs_mount.h"

int gfs_mount_lockproto(gfs_sbd_t *sdp, gfs_args_t *args);
void gfs_unmount_lockproto(gfs_sbd_t *sdp);

#endif /*  __GFS_LOCKINGI_DOT_H__  */
