/******************************************************************************
*
*    Copyright 1999 Regents of the University of Minnesota
*
*    This is free software released under the GNU General Public License.
*    There is no warranty for this software.  See the file COPYING for
*    details.
*
*    See the file CONTRIBUTORS for a list of contributors.
*
*    This file is maintained by:
*      Mike C Tilstra <tilstra@lcse.umn.edu>
* 
*    Module name: dlock_tcp.o
*/
#ifndef __DLIP_proc_stats_H__
#define __DLIP_proc_stats_H__


#ifdef DLIP_PROC_STATS
#define dltcp_inc incr_dltcp()
#define glock_inc incr_glock()
#define gunlock_inc incr_gunlock()
#define dlip_proc_init dlip_init_proc()
#define dlip_proc_uninit dlip_uninit_proc()

void incr_dltcp(void);
void incr_glock(void);
void incr_gunlock(void);
void dlip_init_proc(void);
void dlip_uninit_proc(void);

#else
#define dltcp_inc
#define glock_inc
#define gunlock_inc
#define dlip_proc_init
#define dlip_proc_uninit
#endif /*DLIP_PROC_STATS*/

#endif /*__DLIP_proc_stats_H__*/
