/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      David C. Teigland  <teigland@lcse.umn.edu>
** 
**    Module name: lock_linux.h
**
**    Description:
**
*******************************************************************************
******************************************************************************/

#ifndef __LOCK_LINUX_H__
#define __LOCK_LINUX_H__

#if (DLOCK_VERSION == 2)
dlock_ret_t scsi_dlock(u_char *cmd, kdev_t dev);
#endif

#if (DLOCK_VERSION == 3)
int scsi_dlock(kdev_t dev, u_char *cdb, int ret_len, u_char *ret);
#endif

void us_delay(int delay);
time_t timestamp(void);

#endif /* __LOCK_LINUX_H__ */
