/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      David C. Teigland  <teigland@lcse.umn.edu>
** 
**    Module name: pool_common.h
**
**    Description:
**
*******************************************************************************
******************************************************************************/

#ifndef __POOL_COMMON_H__
#define __POOL_COMMON_H__

int add_pool(pool_add_t *add);
int remove_pool(uint32 dev);
int free_pool(pool_t *pool);
int list_pool(pool_list_t *list);
int list_spool(pool_t *pp, pool_splist_t *param);
int pool_blkmap(pool_t *pp, uint64 psector, uint32 pbcount, 
		uint64 *dev_sector, uint32 *dev_bcount, device_t **out_dev);
int open_devices(pool_t *pp);
int close_devices(pool_t *pp);
int print_pool(pool_t *pp);
#endif /* __POOL_COMMON_H__ */


