#include <stdio.h>
#include <stdlib.h>
#include <string.h>



#include "dlock_interface.h"


struct ip_data 
{
  char ipaddress[256];
};


void *ip_open(char *table_name)
{
  struct ip_data *data;


  printf("ip_open()\n");

  /*  Alloc memory to hold our private data  */

  data = (struct ip_data *)malloc(sizeof(struct ip_data));
  if (!data)
    return(NULL);

  /*  Initialize the private data and open the socket  */

 strcpy(data->ipaddress, table_name);

  printf("  ipaddress = %s\n", data->ipaddress);

  return(data);
}


void ip_close(void *handle)
{
  printf("ip_close(%s)\n", ((struct ip_data *)handle)->ipaddress);

  free(handle);
}


int ip_do_dlock(void *handle, dlock_data_t *request)
{
  printf("ip_do_dlock(%s)\n", ((struct ip_data *)handle)->ipaddress);

  return(0);
}


int ip_get_info(void *handle, dlock_info_t *info)
{
  printf("ip_get_info()\n");

  return(0);
}


int ip_set_info(void *handle, dlock_info_t *info)
{
  printf("ip_set_info()\n");

  return(0);
}



dlock_interface_t trans_ip =
{
  "ip",
  ip_open,
  ip_close,
  ip_do_dlock,
  ip_get_info,
  ip_set_info
};

