#ifndef TRANS_DEBUG_H
#define TRANS_DEBUG_H

#include "global.h"

#define ENTER(x) if (dl_flags & DLF_FUNCTIONS) printf("Entering %s\n", trans_fn_names[x])

#define EXIT(x) if (dl_flags & DLF_FUNCTIONS) printf("Exiting %s\n", trans_fn_names[x])



extern char *trans_fn_names[];

enum { 
  SCSI_OPEN_LINUX,
  SCSI_CLOSE_LINUX,
  READ_CDB_LINUX,
  WRITE_CDB_LINUX,
  SCSI_OPEN,
  SCSI_CLOSE,
  SCSI_DO_DLOCK,
  SCSI_GET_INFO,
  SCSI_SET_INFO,
  DL_OPEN,
  DL_CLOSE,
  DO_DLOCK,
  GET_INFO,
  SET_INFO,
  NR_FUNCTIONS
};
	 
#endif  
